Déplacer Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Move and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Label.svg Label
Page suivante: Pivoter Draft Rotate.svg Arrow-right.svg

Draft Move.svg Déplacer

Emplacement du menu
Draft → Déplacer
Ateliers
Draft, Arch
Raccourci par défaut
M V
Introduit dans la version
0.7
Voir aussi
Copie en réseau, Chemin de copie en réseau


Description

L'outil Déplacement déplace ou copie les objets sélectionnés d'un point à un autre.

L'outil Déplacement peut être utilisé sur des formes 2D créées avec les ateliers Draft ou Sketcher, mais peut également être utilisé sur de nombreux types d'objets 3D, tels que ceux créés avec les ateliers Part ou Arch.

Pour produire diverses copies dans différents arrangements, utilisez Copie en réseau Draft, Chemin de copie en réseau Draft et Point de réseau Draft.

Draft Move example.jpg

Déplacer un objet d'un point à un autre


Utilisation

  1. Sélectionnez les objets que vous souhaitez déplacer ou copier.
  2. Appuyez sur le bouton Draft Move.svg Déplacer, ou appuyez sur les touches M puis V. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
  3. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. Cela sert de point de base de l'opération.
  4. Cliquez sur un autre point de la vue 3D ou tapez une Coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. C'est la nouvelle position du point de base.

Limitations

Lorsque vous déplacez un objet basé sur une esquisse, par exemple, une fonctionnalité créée avec PartDesign (Pad, Revolution, etc. .) vous devez déplacer l'esquisse d'origine. Si vous déplacez l'objet dérivé, il reviendra simplement à la position définie par l'esquisse.

Options

  • Appuyez sur les touches X, Y or Z après le premier point, pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Enter entre chacune des composantes X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relatif . Si le mode Relatif est activé, les coordonnées du point suivant sont relatives au dernier; sinon, elles sont absolues, prises de l'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case à cocher pour basculer en mode continuer . Si le mode Continuer est activé, l'outil Déplacer redémarrera à la fin de l'opération. Vous pourrez ainsi déplacer ou copier à nouveau les objets sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur P ou cliquez sur la case à cocher pour basculer en mode copie . Si le mode Copie est activé, l'outil Déplacer conservera la forme d'origine à sa place mais en effectuera une copie au deuxième point.
Vous pouvez utiliser les deux touches T et P pour placer plusieurs copies en séquence. Dans ce cas, l'élément dupliqué est la dernière copie placée.
  • Maintenez appuyée la touche Alt après le premier point pour basculer également en mode copie. En maintenant la touche Alt enfoncée après avoir cliqué sur le deuxième point, vous pourrez continuer à placer des copies; relâchez Alt pour terminer l'opération et voir toutes les copies.
  • Maintenez appuyée la touche Ctrl en vous déplaçant pour forcer l'accrochage de votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez appuyée la touche Shift tout en vous déplaçant vers votre prochain point contraint horizontalement ou verticalement par rapport au dernier.
  • Appuyez sur Esc ou le bouton Fermer pour abandonner la commande en cours; les copies déjà placées resteront.

Script

Voir aussi: Draft API and FreeCAD Scripting Basics.

L'outil de déplacement peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

movedlist = move(objectslist, vector, copy=False)
  • Déplace le point de base des objets dans objectslist du déplacement et de la direction indiqués par vector.
    • objectslist est soit un objet unique, soit une liste d'objets.
Le vecteur de déplacement est relatif au point de base de l'objet, ce qui signifie que si un objet est déplacé de 2 unités, puis de 2 autres unités, il aura déplacé 4 unités au total de sa position d'origine.
  • Si copy est True, des copies sont créées au lieu de déplacer les objets d'origine.
  • movedlist est renvoyé avec les objets déplacés d'origine ou avec les nouvelles copies.
    • movedlist est soit un objet unique, soit une liste d'objets, en fonction de l'entrée objectslist.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
Arrow-left.svg Page précédente: Draft Label.svg Label
Page suivante: Pivoter Draft Rotate.svg Arrow-right.svg